package toplinkbug.entities;

import java.io.Serializable;
import java.util.List;
import javax.persistence.*;


@Entity

@Table(name="PROJECT", schema="MYSCHEMA")

@NamedQuery(name = "Project.findById", query = "SELECT p FROM Project p WHERE p._projectId = :id")

public class Project implements Serializable
{

    @Id
    @Column(name="PROJECT_ID")
    private Integer _projectId;
  
    @Column(name="PROJECT_NAME")
    private String _projectName;

    @ManyToMany
    @JoinTable(name="PERSON2PROJECT", schema="MYSCHEMA",
        joinColumns={
            @JoinColumn(name="PROJECT_ID", referencedColumnName="PROJECT_ID")
        },
        inverseJoinColumns={
            @JoinColumn(name="PERSON_ID", referencedColumnName="PERSON_ID")
        }
    )
    private List<Person> _persons;
    
    public Integer getProjectId()
    {
        return _projectId;
    }
    
    public String getProjectName()
    {
        return _projectName;
    }
    
    public List<Person> getPersons()
    {
        return _persons;
    }
}
